Subject: Re: [PATCH net] selftests/net: Fixes psock_fanout CBPF test case

From: Sowmini Varadhan <[email-masked]>
Date: Tue, 18 Apr 2017 11:26:16 -0400

On (04/18/17 11:14), Mike Maloney wrote:
> Change 'psock_fanout' to use SOCK_RAW so that the CBPF program used with
> SO_ATTACH_FILTER can examine the entire frame.  Create a new CBPF
> program for use with PACKET_FANOUT_DATA which ignores the header, as it
> cannot see the ethernet header.

Fix look good to me, but could you please also add the bpf_asm input
as a comment to the C code, in case we want to to read/extend  this
down the road?

--Sowmini